diff --git a/contrib/gmm/gmm_dense_sylvester.h b/contrib/gmm/gmm_dense_sylvester.h
index 5a4c8fa46b..88c9724d31 100644
--- a/contrib/gmm/gmm_dense_sylvester.h
+++ b/contrib/gmm/gmm_dense_sylvester.h
@@ -1,32 +1,33 @@
-// -*- c++ -*- (enables emacs c++ mode)
-//===========================================================================
-//
-// Copyright (C) 2003-2008 Yves Renard
-//
-// This file is a part of GETFEM++
-//
-// Getfem++  is  free software;  you  can  redistribute  it  and/or modify it
-// under  the  terms  of the  GNU  Lesser General Public License as published
-// by  the  Free Software Foundation;  either version 2.1 of the License,  or
-// (at your option) any later version.
-// This program  is  distributed  in  the  hope  that it will be useful,  but
-// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-// or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
-// License for more details.
-// You  should  have received a copy of the GNU Lesser General Public License
-// along  with  this program;  if not, write to the Free Software Foundation,
-// Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
-//
-// As a special exception, you may use this file as part of a free software
-// library without restriction.  Specifically, if other files instantiate
-// templates or use macros or inline functions from this file, or you compile
-// this file and link it with other files to produce an executable, this
-// file does not by itself cause the resulting executable to be covered by
-// the GNU General Public License.  This exception does not however
-// invalidate any other reasons why the executable file might be covered by
-// the GNU General Public License.
-//
-//===========================================================================
+/* -*- c++ -*- (enables emacs c++ mode) */
+/*===========================================================================
+
+ Copyright (C) 2003-2020 Yves Renard
+
+ This file is a part of GetFEM
+
+ GetFEM  is  free software;  you  can  redistribute  it  and/or modify it
+ under  the  terms  of the  GNU  Lesser General Public License as published
+ by  the  Free Software Foundation;  either version 3 of the License,  or
+ (at your option) any later version along with the GCC Runtime Library
+ Exception either version 3.1 or (at your option) any later version.
+ This program  is  distributed  in  the  hope  that it will be useful,  but
+ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+ or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
+ License and GCC Runtime Library Exception for more details.
+ You  should  have received a copy of the GNU Lesser General Public License
+ along  with  this program;  if not, write to the Free Software Foundation,
+ Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
+
+ As a special exception, you  may use  this file  as it is a part of a free
+ software  library  without  restriction.  Specifically,  if   other  files
+ instantiate  templates  or  use macros or inline functions from this file,
+ or  you compile this  file  and  link  it  with other files  to produce an
+ executable, this file  does  not  by itself cause the resulting executable
+ to be covered  by the GNU Lesser General Public License.  This   exception
+ does not  however  invalidate  any  other  reasons why the executable file
+ might be covered by the GNU Lesser General Public License.
+
+===========================================================================*/
 
 /** @file gmm_dense_sylvester.h
     @author  Yves Renard <Yves.Renard@insa-lyon.fr>
diff --git a/contrib/gmm/gmm_domain_decomp.h b/contrib/gmm/gmm_domain_decomp.h
index 674296004a..9bf663a214 100644
--- a/contrib/gmm/gmm_domain_decomp.h
+++ b/contrib/gmm/gmm_domain_decomp.h
@@ -1,32 +1,33 @@
-// -*- c++ -*- (enables emacs c++ mode)
-//===========================================================================
-//
-// Copyright (C) 2004-2008 Yves Renard
-//
-// This file is a part of GETFEM++
-//
-// Getfem++  is  free software;  you  can  redistribute  it  and/or modify it
-// under  the  terms  of the  GNU  Lesser General Public License as published
-// by  the  Free Software Foundation;  either version 2.1 of the License,  or
-// (at your option) any later version.
-// This program  is  distributed  in  the  hope  that it will be useful,  but
-// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-// or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
-// License for more details.
-// You  should  have received a copy of the GNU Lesser General Public License
-// along  with  this program;  if not, write to the Free Software Foundation,
-// Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
-//
-// As a special exception, you may use this file as part of a free software
-// library without restriction.  Specifically, if other files instantiate
-// templates or use macros or inline functions from this file, or you compile
-// this file and link it with other files to produce an executable, this
-// file does not by itself cause the resulting executable to be covered by
-// the GNU General Public License.  This exception does not however
-// invalidate any other reasons why the executable file might be covered by
-// the GNU General Public License.
-//
-//===========================================================================
+/* -*- c++ -*- (enables emacs c++ mode) */
+/*===========================================================================
+
+ Copyright (C) 2004-2020 Yves Renard
+
+ This file is a part of GetFEM
+
+ GetFEM  is  free software;  you  can  redistribute  it  and/or modify it
+ under  the  terms  of the  GNU  Lesser General Public License as published
+ by  the  Free Software Foundation;  either version 3 of the License,  or
+ (at your option) any later version along with the GCC Runtime Library
+ Exception either version 3.1 or (at your option) any later version.
+ This program  is  distributed  in  the  hope  that it will be useful,  but
+ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+ or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
+ License and GCC Runtime Library Exception for more details.
+ You  should  have received a copy of the GNU Lesser General Public License
+ along  with  this program;  if not, write to the Free Software Foundation,
+ Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
+
+ As a special exception, you  may use  this file  as it is a part of a free
+ software  library  without  restriction.  Specifically,  if   other  files
+ instantiate  templates  or  use macros or inline functions from this file,
+ or  you compile this  file  and  link  it  with other files  to produce an
+ executable, this file  does  not  by itself cause the resulting executable
+ to be covered  by the GNU Lesser General Public License.  This   exception
+ does not  however  invalidate  any  other  reasons why the executable file
+ might be covered by the GNU Lesser General Public License.
+
+===========================================================================*/
 
 /** @file gmm_domain_decomp.h
    @author  Yves Renard <Yves.Renard@insa-lyon.fr>
@@ -66,7 +67,7 @@ namespace gmm {
 	pmin[k] = std::min(pmin[k], pts[i][k]);
 	pmax[k] = std::max(pmax[k], pts[i][k]);
       }
-
+    
     std::vector<size_type> nbsub(dim), mult(dim);
     std::vector<int> pts1(dim), pts2(dim);
     size_type nbtotsub = 1;
@@ -74,15 +75,15 @@ namespace gmm {
       nbsub[k] = size_type((pmax[k] - pmin[k]) / msize)+1;
       mult[k] = nbtotsub; nbtotsub *= nbsub[k];
     }
-
+    
     std::vector<map_type> subs(nbtotsub);
     // points ventilation
     std::vector<size_type> ns(dim), na(dim), nu(dim);
     for (size_type i = 0; i < nbpts; ++i) {
       for (int k = 0; k < dim; ++k) {
-	double a = (pts[i][k] - pmin[k]) / msize;
-	ns[k] = size_type(a) - 1; na[k] = 0;
-	pts1[k] = int(a + overlap); pts2[k] = int(ceil(a-1.0-overlap));
+          double a = (pts[i][k] - pmin[k]) / msize;
+          ns[k] = size_type(a) - 1; na[k] = 0;
+          pts1[k] = int(a + overlap); pts2[k] = int(ceil(a-1.0-overlap));
       }
       size_type sum = 0;
       do {
@@ -105,19 +106,19 @@ namespace gmm {
     size_type nbmaxinsub = 0;
     for (size_type i = 0; i < nbtotsub; ++i)
       nbmaxinsub = std::max(nbmaxinsub, subs[i].size());
-
+    
     std::fill(ns.begin(), ns.end(), size_type(0));
     for (size_type i = 0; i < nbtotsub; ++i) {
       if (subs[i].size() > 0 && subs[i].size() < nbmaxinsub / 10) {
-
+	
 	for (int k = 0; k < dim; ++k) nu[k] = ns[k];
 	size_type nbmax = 0, imax = 0;
-
+	
 	for (int l = 0; l < dim; ++l) {
 	  nu[l]--;
 	  for (int m = 0; m < 2; ++m, nu[l]+=2) {
 	    bool ok = true;
-	    for (int k = 0; k < dim && ok; ++k)
+	    for (int k = 0; k < dim && ok; ++k) 
 	      if (nu[k] >= nbsub[k]) ok = false;
 	    if (ok) {
 	      size_type ind = ns[0];
@@ -128,7 +129,7 @@ namespace gmm {
 	  }
 	  nu[l]--;
 	}
-
+	
 	if (nbmax > subs[i].size()) {
 	  for (map_type::iterator it=subs[i].begin(); it!=subs[i].end(); ++it)
 	    subs[imax][it->first] = void_type();
@@ -138,7 +139,7 @@ namespace gmm {
       for (int k = 0; k < dim; ++k)
 	{ ns[k]++; if (ns[k] < nbsub[k]) break; ns[k] = 0; }
     }
-
+    
     // delete empty domains.
     size_type effnb = 0;
     for (size_type i = 0; i < nbtotsub; ++i) {
@@ -156,7 +157,7 @@ namespace gmm {
 	vB[i](it->first, j) = value_type(1);
     }
   }
-
+  
 
 }
 
